Bug 1263186 - Can not launcher noVNC [NEEDINFO]
Can not launcher noVNC
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.5.4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Vinzenz Feenstra [evilissimo]
Pavel Stehlik
virt
:
: 1263187 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 05:44 EDT by 2732000916
Modified: 2015-11-19 06:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:28:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: needinfo? (2732000916)
vfeenstr: needinfo? (2732000916)
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description 2732000916 2015-09-15 05:44:23 EDT
Can not launcher noVNC, web page show "ReferenceError: WebUtil is not defined"
log show this:
ERROR [org.ovirt.engine.core.utils.servlet.ServletUtils] (ajp--127.0.0.1-8702-2) Can't read file "/usr/share/ovirt-engine/files/novnc/include/vnc.js" for request "/ovirt-engine/services/files/novnc/include/vnc.js", will send a 404 error response.

Seems ovirt can not work with current noVNC.
Comment 1 Omer Frenkel 2015-09-16 05:55:35 EDT
*** Bug 1263187 has been marked as a duplicate of this bug. ***
Comment 2 Michal Skrivanek 2015-09-16 10:31:31 EDT
novnc rpm version?
engine's OS version? updates?
Comment 3 Vinzenz Feenstra [evilissimo] 2015-10-06 07:56:05 EDT
Please try to reinstall the ovirt-engine, it somehow seems like that the installation is corrupted.
However please also do also report the information about the version of the novnc rpm, and the operating system:

OS version:

# uname -a
# cat /etc/redhat-release

RPM Versions:

# rpm -qa | grep ovirt-engine
# rpm -q nonvc

Thanks
Comment 4 Vinzenz Feenstra [evilissimo] 2015-11-19 06:28:47 EST
Closing this BZ due to non missing information and we cannot reproduce this issue on our end.

Please reopen when more information is available. Thank you.

Note You need to log in before you can comment on or make changes to this bug.